Bug 1267283 - [Docs] [Director] Need explanation on how to setup Ceph Storage Node journals partitions using GPT labels
[Docs] [Director] Need explanation on how to setup Ceph Storage Node journals...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
8.0 (Liberty)
All Linux
high Severity high
: ga
: 8.0 (Liberty)
Assigned To: Dan Macpherson
: Documentation
Depends On:
Blocks: 1290377
  Show dependency treegraph
 
Reported: 2015-09-29 10:20 EDT by Anand Nande
Modified: 2016-06-09 21:58 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-09 21:58:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Nande 2015-09-29 10:20:20 EDT
Customer trying to setup an enhanced deployment using Ceph Storage nodes as explained in the Red Hat documentation: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Configuring_Ceph_Storage

There is an important information regarding partitioning of the Journal Disk. 

---- from the docs ---
Important

The director does not create partitions on the journal disk. You must manually create these journal partitions before the Director can deploy the Ceph Storage nodes.

The Ceph Storage OSDs and journals partitions require GPT disk labels, which you also configure prior to customization. For example, use the following command on the potential Ceph Storage host to create a GPT disk label for a disk or partition:

# parted [device] mklabel gpt
---

How is one supposed to use parted to create gpt labels - on the ceph nodes before deployment - when there is no OS in it (prior to deployment)?

Can you please provide additional info on how to create such partitions in front of a deployment?
Comment 2 Andrew Dahms 2015-10-08 04:50:24 EDT
Assigning to Dan for review.
Comment 3 Dan Macpherson 2015-10-09 02:44:31 EDT
Couple of things on this BZ:

* This is pretty simple to do by using a RHEL Live CD and partitioning the drives through the Live OS.

* I also recommend a tool called GParted, which allows you run as a live CD and contains all tools needed to partition drives. 

* You can also run the partitioning commands as extra config through a firstboot template. This method partitions the disks automatically after of the Overcloud deployment process. This is probably the method I'll end up documenting, unless...

* I've heard version 7.1 of the director can automatically partition these disks. I'll have to get in touch with a few people on this, but if so then that saves a lot of time for the end user.
Comment 6 Dan Macpherson 2015-12-17 00:40:04 EST
This bug is going to be targeted for a new Ceph Storage Configuration Guide for the director. This will be a whole new guide that aim to show how to configure the director and your Ceph nodes (both external or deployed).

Aiming to be developing this guide during Jan-Feb period.
Comment 7 jlim0930 2016-01-07 21:41:10 EST
any updates to this? or any other osp7 ceph related documents that can be shared ?
Comment 8 Dan Macpherson 2016-01-27 23:15:09 EST
Not yet. I'm aiming to put together some more comprehensive documentation for Ceph/OSPd over the next month. I'll be targeting OSP8, but we might release a similar version for OSP7.
Comment 13 Dan Macpherson 2016-03-16 00:24:16 EDT
Sent the Ceph Storage guide out for technical review. Switching Ceph bugs to POST.
Comment 14 Mike McCune 2016-03-28 18:29:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 15 Dan Macpherson 2016-04-29 02:44:08 EDT
Hi Anand,

So the Ceph Storage Guide was released for OSP 8 and it includes the following section of GPT formatting disks:

https://access.redhat.com/documentation/en/red-hat-openstack-platform/version-8/red-hat-ceph-storage-for-the-overcloud/#converting_ceph_storage_nodes_disks_to_gpt

Is this what you had in mind? Let me know if you had any suggestions for changes.
Comment 16 Dan Macpherson 2016-06-09 21:58:02 EDT
No response in over a month. Closing this BZ. However, if further changes are required, please feel free to reopen this BZ.

Note You need to log in before you can comment on or make changes to this bug.